## org.apache.lucene.analysis
Class LowerCaseTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.CharTokenizer
                      org.apache.lucene.analysis.LetterTokenizer
                          org.apache.lucene.analysis.LowerCaseTokenizer

    public final class LowerCaseTokenizer

extends LetterTokenizer

LowerCaseTokenizer performs the function of LetterTokenizer and LowerCaseFilter together. It divides text at non-letters and converts them to lower case. While it is functionally equivalent to the combination of LetterTokenizer and LowerCaseFilter, there is a performance advantage to doing the two tasks at once, hence this (redundant) implementation.

Note: this does a decent job for most European languages, but does a terrible job for some Asian languages, where words are not separated by spaces.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`LowerCaseTokenizer(AttributeSource.AttributeFactory factory, java.io.Reader in)` Construct a new LowerCaseTokenizer using a given `AttributeSource.AttributeFactory`.
`LowerCaseTokenizer(AttributeSource source, java.io.Reader in)` Construct a new LowerCaseTokenizer using a given `AttributeSource`.
`LowerCaseTokenizer(java.io.Reader in)` Construct a new LowerCaseTokenizer.

Method Summary
`protected char` `normalize(char c)` Converts char to lower case `Character.toLowerCase(char)`.

Methods inherited from class org.apache.lucene.analysis.LetterTokenizer
`isTokenChar`

Methods inherited from class org.apache.lucene.analysis.CharTokenizer
`end, incrementToken, next, next, reset`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, reset, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LowerCaseTokenizer

    public LowerCaseTokenizer(java.io.Reader in)

  Construct a new LowerCaseTokenizer.

### LowerCaseTokenizer

    public LowerCaseTokenizer(AttributeSource source,
                              java.io.Reader in)

  Construct a new LowerCaseTokenizer using a given `AttributeSource`.

### LowerCaseTokenizer

    public LowerCaseTokenizer(AttributeSource.AttributeFactory factory,
                              java.io.Reader in)

  Construct a new LowerCaseTokenizer using a given `AttributeSource.AttributeFactory`.

Method Detail

### normalize

    protected char normalize(char c)

  Converts char to lower case `Character.toLowerCase(char)`.

  Overrides:
    `normalize` in class `CharTokenizer`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.